# Interface methods for submodule: AzimuthElevationToCartesianTransform
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import AffineTransformProxy as _AffineTransformProxy


# Interface methods for class: AzimuthElevationToCartesianTransform
class AzimuthElevationToCartesianTransformProxy(_AffineTransformProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	@overload
	def SetAzimuthElevationToCartesianParameters(self, sampleSize: float, firstSampleDistance: float, maxAzimuth: int, maxElevation: int, azimuthAngleSeparation: float, elevationAngleSeparation: float) -> None:
		""""""
		...

	@overload
	def SetAzimuthElevationToCartesianParameters(self, sampleSize: float, firstSampleDistance: float, maxAzimuth: int, maxElevation: int) -> None:
		""""""
		...

	def TransformPoint(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	def BackTransform(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	def BackTransformPoint(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	def GetTransformCategory(self):
		""""""
		...

	def SetForwardAzimuthElevationToCartesian(self) -> None:
		""""""
		...

	def SetForwardCartesianToAzimuthElevation(self) -> None:
		""""""
		...

	def TransformAzElToCartesian(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	def TransformCartesianToAzEl(self, point: Sequence[float]) -> Sequence[float]:
		""""""
		...

	def SetMaxAzimuth(self, _arg: int) -> None:
		""""""
		...

	def GetMaxAzimuth(self) -> int:
		""""""
		...

	def SetMaxElevation(self, _arg: int) -> None:
		""""""
		...

	def GetMaxElevation(self) -> int:
		""""""
		...

	def SetRadiusSampleSize(self, _arg: float) -> None:
		""""""
		...

	def GetRadiusSampleSize(self) -> float:
		""""""
		...

	def SetAzimuthAngularSeparation(self, _arg: float) -> None:
		""""""
		...

	def GetAzimuthAngularSeparation(self) -> float:
		""""""
		...

	def SetElevationAngularSeparation(self, _arg: float) -> None:
		""""""
		...

	def GetElevationAngularSeparation(self) -> float:
		""""""
		...

	def SetFirstSampleDistance(self, _arg: float) -> None:
		""""""
		...

	def GetFirstSampleDistance(self) -> float:
		""""""
		...

